# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{sys-cpu}
  s.version = "0.6.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daniel J. Berger"]
  s.date = %q{2010-10-09}
  s.description = %q{    The sys-cpu library provides an interface for gathering information
    about your system's processor(s). Information includes speed, type,
    and load average.
}
  s.email = %q{djberg96 at nospam at gmail dot com}
  s.extensions = ["ext/extconf.rb"]
  s.extra_rdoc_files = ["CHANGES", "README", "MANIFEST", "ext/bsd/bsd.c"]
  s.files = ["CHANGES", "doc/bsd.txt", "doc/hpux.txt", "doc/linux.txt", "doc/sunos.txt", "doc/windows.txt", "examples/example_sys_cpu_bsd.rb", "examples/example_sys_cpu_hpux.rb", "examples/example_sys_cpu_linux.rb", "examples/example_sys_cpu_sunos.rb", "examples/example_sys_cpu_windows.rb", "ext/bsd/bsd.c", "ext/extconf.rb", "ext/hpux/hpux.c", "ext/sunos/sunos.c", "ext/version.h", "install.rb", "lib/linux/sys/cpu.rb", "lib/windows/sys/cpu.rb", "MANIFEST", "Rakefile", "README", "sys-cpu.gemspec", "test/test_sys_cpu.rb", "test/test_sys_cpu_bsd.rb", "test/test_sys_cpu_hpux.rb", "test/test_sys_cpu_linux.rb", "test/test_sys_cpu_sunos.rb", "test/test_sys_cpu_version.rb", "test/test_sys_cpu_windows.rb"]
  s.homepage = %q{http://www.rubyforge.org/projects/sysutils}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{sysutils}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{A Ruby interface for providing CPU information}
  s.test_files = ["test/test_sys_cpu.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<test-unit>, [">= 2.0.3"])
    else
      s.add_dependency(%q<test-unit>, [">= 2.0.3"])
    end
  else
    s.add_dependency(%q<test-unit>, [">= 2.0.3"])
  end
end
